Subject: RE: [NSIS] New Draft: NSIS Signaling Protocols in Multihomed MobileNetworks

From: [email-masked]
Date: Sat, 30 Jul 2005 12:03:28 +0300

Hi Suwon,

Thanks for that draft.  This is quite a useful draft, so I hope we can have
some discussion on it.  When reading, I wanted to comment on a few things.

In the intro:

	"Multihoming refers to a situation where an end node has several
	parallel communication paths to use."

I think I'd modify this definition a bit.  RFC 3582 has a definition
for site-multihoming, so you might want to reference this.  If we want
to talk about host-multihoming, it usually refers to a host that
has multiple, active (or potentially active) interfaces connected
to different subnets which then implies multiple communication paths.

Also, in the intro, I think I wouldn't want to explain why hosts / users /
networks might want to be multihomed (i.e. - the advantages of multihoming)
but rather discuss the implications of multihoming.  Multihoming has interesting
implications for path-oriented signaling, and path-oriented signaling can
bring benefits for a multihomed host.  For example, a host might have both an
active 802.11 interface and WCDMA interface.  If the 802.11 interface might be behind 
a slow DSL line, making the network path on the WCDMA interface 'better'.  If the host 
has only knowledge about the link conditions, it will not know enough about the path 
conditions to make an informed decision about which interface (and by extention, which
path) is 'better'.

In section 3, Problem Statement, "Registration of Multiple CoAs" might not really
be in-scope of NSIS.

I think quite a bit of section 4, which is good, seems to be quite closely related
to the Mobility Applicability statement.  Does the group feel like it would be useful
to capture this information in that document?

thanks,
John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext Suwon Lee
> Sent: 14 July, 2005 06:46
> To: [email-masked]
> Subject: [NSIS] New Draft: NSIS Signaling Protocols in Multihomed
> MobileNetworks
> 
> 
> Dear All, 
> 
> We would like to address that a new draft "NSIS Signaling 
> Protocols in 
> Multihomed Mobile Networks" was submitted.
> ( 
> http://www.ietf.org/internet-drafts/draft-lee-nsis-multihoming
> -mobility-00.txt )
> We would appreciate it if you would review and comment on the draft.
> 
> The draft deals with:
> - Possible issues on NSIS signaling in the multihomed environments
>   - NSIS operations in multihomed networks
>   - Receiver-initiated reservation
>   - Sender-initiated reservation
> - NSIS Applicability in multihomed scenarios
>   - Link/node failure
>   - Load balancing
>   - Load sharing
> 
> Abstract:
> A host that is an initiator or responder of NSIS signaling 
> messages can be not 
> only mobile but also multihomed.  Multihomed hosts and 
> scenarios may be common
> in the future IPv6-based Internet.  Benefits of multihoming 
> include increased 
> bandwidth, load balancing, load sharing, ubiquitous access, 
> bi-casting, 
> resilience, and etc.  NSIS signaling should be able to 
> support various 
> multihoming scenarios. This draft describes NSIS operations 
> and applicability 
> in multihomed environments.
> 
> Regards,
> 
> Suwon Lee
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis